//******************************************************************************
// Generic Test for the Relay. They get just turned offf and ON alternativelly 
//
//
// Tested Platform: mini Controller Board PIC32
// Tested MCU: PIC32MX150F128D
// Tested Compiler: XC32 4.45
//******************************************************************************

#include "xc.h"

#define SYSTEM_CLOCK 32000000UL

#include "LTlib.h"

#include "LTlib_delay.h"
#include "LTlib_delay.c"

#include "HW_mini_Sensing_MCU_Board.h"
#include "HW_mini_Sensing_PLC.h"

#include "module_IO.h"
#include "module_IO.c"


int main (void){
    
    IO_set_all_ports_as_inputs();
    
    RELAY_1_PLC_DIR = SET_AS_OUTPUT;
    RELAY_2_PLC_DIR = SET_AS_OUTPUT;
        
    RELAY_1_PLC = ON_STATE;
    RELAY_2_PLC = OFF_STATE;
    
    while (1){
    
        delay_ms(1000);

        RELAY_1_PLC ^= ON_STATE;
        RELAY_2_PLC ^= ON_STATE;
        
    }
    
}
